#
# spec file for package rawstudio
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 2_1
Name:           rawstudio
Version:        2.0+git20170413.003dd4f3
Release:        lp152.3.10
Summary:        Converter for RAW image files
License:        GPL-2.0
Group:          Productivity/Graphics/Other
Url:            http://rawstudio.org/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  intltool
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(fftw3f)
BuildRequires:  pkgconfig(flickcurl)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
RawStudio is a digital camera RAW files processing software.

%package -n 	lib%{name}-%{sover}
Summary:        RawStudio library
Group:          System/Libraries

%description -n lib%{name}-%{sover}
This package contain the library needed to run a programs compiled
using lib%{name}.

%package -n 	lib%{name}-devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       lib%{name}-%{sover} = %{version}

%description -n lib%{name}-devel
This package contains, header files, and libraries needed to develop
application that use lib%{name}.

%lang_package

%prep
%setup -q

%build
./autogen.sh --no-configure
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
install -Dm0644 {pixmaps/,%{buildroot}%{_datadir}/pixmaps/}%{name}.png
find %{buildroot}{%{_libdir},%{_datadir}/icons} \
-maxdepth 1 -type f \( -name \*.la -o -name \*.png \) -delete -print
%find_lang %{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%post -n lib%{name}-%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-%{sover} -p /sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/rawspeed/

%files -n lib%{name}-%{sover}
%{_libdir}/lib%{name}-*.so

%files -n lib%{name}-devel
%{_includedir}/%{name}*/
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/lib%{name}.so

%files lang -f %{name}.lang

%changelog
* Mon Sep 11 2017 jengelh@inai.de
- Fix RPM categories and summaries.
* Thu Jul 27 2017 tchvatal@suse.com
- Update the service to generate sensible name for the tarball
- Switch to lcms2 from lcms
- Drop upstream merged patch:
  * rawstudio-2.1_unraw.patch
- Update to version 2.0+git20170413.003dd4f3:
  * Do more relaxed matching when displying camera profile choices.
  * Do not link to defunct website. This fixes #22.
  * Removed rawstudio.org from readme.
  * Fix a crash when we don't have select lens.
  * Update rawspeed to last version (Feb 8, 2016).
  * Remove plugin load-dcraw
  * + Panasonic GH4 + GH5
* Mon Jul  4 2016 adrian@suse.de
- update to current code
  The tar ball was just a html page, it is created by a service now.
* Fri Jun 17 2016 avvissu@yandex.ru
- Update to version 2.1+git.20160225:
  * Use GSIZE_TO_POINTER and GPOINTER_TO_SIZE for GType
  * Other: Use rather GPOINTER_TO_SIZE() to be safe.
  * Silently avoid out-of-bounds warning in rs_filter_set_recursive()
    when setting integers.
  * Added EOS 70D.
  * Avoid setting the same adjustments multiple times in
    rs_navigator_set_adjustments().
  * Fix 100%% view.
  * Removed debug printf.
  * Do more relaxed matching when displying camera profile choices.
  * Do not link to defunct website. This fixes #22.
  * Removed rawstudio.org from readme.
- Remove plugin load-dcraw (rawstudio-2.1_unraw.patch [bnc#985103])
- Spec file cleanup
* Mon Mar  2 2015 avvissu@yandex.ru
- update to 2.1git.20150227
- remove all patches (fixed in upstream):
  * add-gthread-reference.patch
  * drop-deprecated-g_thread_init-call.patch
  * rawstudio-2.0-plugindir.patch
- use autogen.sh
- remove *.la file
- use %%desktop_database_{post,postun} for MimeType inside the
  desktop file
- spec file cleanup
* Mon Mar 26 2012 fisiu@opensuse.org
- Add drop-deprecated-g_thread_init-call.patch to fix build > 12.1.
* Mon Mar 26 2012 fisiu@opensuse.org
- Add symbolic link for plugins dir: fixed bnc#748464.
- Adjust previous patch.
* Wed Mar 21 2012 mrdocs@opensuse.org
- patch  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=661409
  enables build on > 12.1
* Mon May 30 2011 prusnak@opensuse.org
- updated to 2.0
